package com.dev.swms.server.model.shipping;

import com.dev.swms.server.model.base.BillType;
import com.dev.swms.server.model.base.Item;
import com.dev.swms.server.model.base.LotInfo;
import com.dev.swms.server.model.base.PackageUnit;
import com.dev.swms.server.model.inventory.Inventory;
import com.dev.energy.server.model.Entity;

public abstract class AbstractPickTicketDetail extends Entity {

	public abstract double getPreAllocatedQuantity();
	public abstract void setPreAllocatedQuantity(double preAllocatedQuantity);
	public abstract double getAllocatedQuantity();
	public abstract void setAllocatedQuantity(double allocatedQuantity);
	public abstract double getOrderQuantity();
	public abstract void setOrderQuantity(double orderQuantity);
	public abstract double getPickedQuantity();
	public abstract void setPickedQuantity(double pickedQuantity);
	public abstract double getShippedQuantity();
	public abstract void setShippedQuantity(double shippedQuantity);
	public abstract AbstractPickTicket getAbstractPickTicket();
	public abstract Item getItem();
	public abstract LotInfo getLotInfo();
	public abstract PackageUnit getPackageUnit();
	public abstract double getUnallocateQuantity();
	public abstract void allocate(Inventory inventory, double quantity);
	public abstract BillType getBillType();
}
